Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.workarea
Interface WorkContextOutput

All Superinterfaces:
  DataOutput

    public interface WorkContextOutput

extends DataOutput

`WorkConectOutput` is a primitive stream used for marshaling `WorkContext` implementations. It is necessary to limit the types that can be marshaled as part of a `WorkArea` so that efficient representations can be implemented in a variety of protocols. This representation can also be transparent, enabling runtime filtering in SOAP and other protocols.

See Also:
  `WorkContextInput`

Method Summary
`void` | `writeASCII(String s)` Writes an 8-bit, variable-length, string to the underlying data stream.
`void` | `writeContext(WorkContext ctx)` Writes the implementation of `WorkContext` to the underlying data stream.

Methods inherited from interface java.io.DataOutput
`write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Method Detail

### writeASCII

    void writeASCII(String s)
                    throws IOException

  Writes an 8-bit, variable-length, string to the underlying data stream. This is analgous to `DataOutput.writeBytes(java.lang.String)` but the length of the string is also encoded.

  Throws:
    `IOException`

### writeContext

    void writeContext(WorkContext ctx)
                      throws IOException

  Writes the implementation of `WorkContext` to the underlying data stream. The actual class is encoded in the stream so that remote java implementations can decode it.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD